
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSRCIIEmissions complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSRCIIEmissions"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="V6" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="V7" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="V9" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="Directive" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSRCIIEmissions", propOrder = {
    "v6",
    "v7",
    "v9",
    "directive"
})
public class WSRCIIEmissions {

    @XmlElement(name = "V6", nillable = true)
    protected String v6;
    @XmlElement(name = "V7", nillable = true)
    protected String v7;
    @XmlElement(name = "V9", nillable = true)
    protected String v9;
    @XmlElement(name = "Directive", nillable = true)
    protected String directive;

    /**
     * Gets the value of the v6 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getV6() {
        return v6;
    }

    /**
     * Sets the value of the v6 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setV6(String value) {
        this.v6 = value;
    }

    /**
     * Gets the value of the v7 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getV7() {
        return v7;
    }

    /**
     * Sets the value of the v7 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setV7(String value) {
        this.v7 = value;
    }

    /**
     * Gets the value of the v9 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getV9() {
        return v9;
    }

    /**
     * Sets the value of the v9 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setV9(String value) {
        this.v9 = value;
    }

    /**
     * Gets the value of the directive property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDirective() {
        return directive;
    }

    /**
     * Sets the value of the directive property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDirective(String value) {
        this.directive = value;
    }

    public WSRCIIEmissions withV6(String value) {
        setV6(value);
        return this;
    }

    public WSRCIIEmissions withV7(String value) {
        setV7(value);
        return this;
    }

    public WSRCIIEmissions withV9(String value) {
        setV9(value);
        return this;
    }

    public WSRCIIEmissions withDirective(String value) {
        setDirective(value);
        return this;
    }

}
